How to update my plugin??

Discussion in 'Plugin Development' started by HeavyMine13, Oct 8, 2013.

Thread Status:
Not open for further replies.
  1. Offline

    HeavyMine13

    Hey! I made a plugin that works for 1.6.2! How can I make it to work for 1.6.4?????? Is there a way to update it??? Thanks!
     
  2. Offline

    thomasb454

    Download new CraftBukkit version, place it wherever you wish, go info project settings, or how ever you select a build path and select the new CB version. Make sure to change any depreciated methods.
     
  3. Offline

    The_Doctor_123

  4. Offline

    Henzz

  5. Offline

    HeavyMine13

  6. Offline

    The_Doctor_123

    HeavyMine13
    Some deprecated methods are absolutely necessary, like updateInventory().
     
  7. Offline

    CaptainBern Retired Staff

    The_Doctor_123 updateInventory() is not absolutly necessary but I agree with you :p
     
  8. Offline

    Henzz

    HeavyMine13
    Because Bukkit is an API, whilst CraftBukkit is a server mod that utilizes the API.
    Even though CB consists of Bukkit, I would just build against Bukkit.
     
  9. Offline

    Garris0n

    He probably meant there's no workaround if you need them(after that magic number patch a lot of those exist :p).

    Sometimes I build against both (so badass).

    But seriously, yes you should build against Bukkit unless you need NMS code(seeing as you're asking how to update a plugin, I doubt you need to worry about that). If you want to add the new Bukkit jar to your plugin, go to the build path in eclipse(I'm assuming you're using eclipse, if not, wherever else you put your library) and add the new Bukkit.jar instead of whichever old one was there.
     
  10. Offline

    Hutchmaster99

    You don't have to update your plugins after Minecraft updates. You can use a plugin from like 1.3 (release) and if the code hasn't changed it would work the same. If you still want to update (maybe creating a newer, better method), then all you would have to do is like what the people above said, just switch out the API.

    Oh wait, HeavyMine13 xD

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Jun 4, 2016
  11. Offline

    HariHD

    I think you get the lates API of bukkit.
     
  12. Offline

    HeavyMine13

    Hutchmaster99 Thank U Soo Much Hutcheeee!

    Garris0n What do you mean by "Building Against Bukkit"

    Then Why Does It Give Me this:

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Jun 4, 2016
  13. Offline

    bigbeno37

    HeavyMine13 Because something in that plugin is returning null. Specifically, something related to line 28 in MobShooter.java.
     
  14. Offline

    Hutchmaster99

    Dude, when I get home we need to get on TeamSpeak, Heavy!
     
  15. Offline

    HeavyMine13

Thread Status:
Not open for further replies.

Share This Page